%global upstream lipnitsk


Name:		libcue
Version:	2.2.1
Release:    1%{?dist}
Summary:	Cue sheet parser library

License:	GPLv2 and BSD
URL:		https://github.com/%{upstream}/%{name}
VCS:		scm:git:https://github.com/%{upstream}/%{name}.git
Source0:	https://github.com/%{upstream}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		cve-2023-43641.patch
BuildRequires:	bison
BuildRequires:	cmake
BuildRequires:	flex
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig

%description
Libcue is intended for parsing a so-called cue sheet from a char string or
a file pointer. For handling of the parsed data a convenient API is available.


%package devel
Summary:	Development files
Requires:	%{name} = %{version}-%{release}


%description	devel
Development files for %{name}.


%prep
%autosetup -p1


%build
%cmake
%cmake_build


%install
%cmake_install


%check
%cmake_build --target test




%files
%license LICENSE
%doc ChangeLog README.md
%{_libdir}/%{name}.so.*


%files devel
%{_includedir}/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.1-1
- initial build
